"""Provide weather information over Discord."""
from bot import hitomi
from weather import lib


@hitomi.command()
async def forecast(query: str):
    await hitomi.say(lib.get_forecast_for_query([query]))


@hitomi.command()
async def weather(query: str):
    await hitomi.say(lib.get_conditions_for_query([query]))
